PHP K�sikirja
Edellinen |  | Seuraava

# SoapClient->__getFunctions()

SoapClient->__getFunctions() -- Returns list of SOAP functions

## Description

class SoapClient {
array __getFunctions ( void )
}

Returns the list of SOAP functions.

> Huomaa: This function works only in WSDL mode.

## Return values

The list of SOAP functions.

## Examples

Esimerkki 1. SoapClient->__getFunctions() example

`<?php $client = SoapClient("some.wsdl"); var_dump($client->__getFunctions()); ?>`

## See Also

SoapClient->__construct()

Edellinen | Alkuun | Seuraava
SoapClient->__doRequest() | Ylös | SoapClient->__getLastRequest()